Skip to main content
GET
Institutional Option Holders

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

Query Parameters

date
string<date>

The report date in the format of YYYY-MM-DD.

Example:

"2024-01-18T00:00:00.000Z"

start_date
string<date>

A date in the format of YYYY-MM-DD, only institutional holdings with report_date values on or after this date will be returned.

Example:

"2023-01-01T00:00:00.000Z"

end_date
string<date>

A date in the format of YYYY-MM-DD, only institutional holdings with report_date values on or before this date will be returned.

Example:

"2023-03-31T00:00:00.000Z"

tags[]
enum<string>[]

An array of institution tags

Available options:
advisor,
value_investor,
brokerage,
hedge_fund,
private_fund,
biotech,
activist,
top_fund,
tiger_club,
esg,
credit,
13d_activist,
energy,
small_cap,
event,
real_estate,
technology,
all,
public_companies,
known
Example:
order
enum<string>

Optional column to order the result by. Defaults to units.

Available options:
units,
calls,
puts,
calls_changed,
puts_changed,
call_value,
put_value
Example:

"calls"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

limit
integer
default:500

How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.

Required range: 1 <= x <= 500
Example:

10

page
integer

Page number (use with limit). Starts on page 0.

Example:

1

Response

The institutions that reported option positions in a given ticker.

call_oi
integer | null

The ticker's call open interest on the last trading day at or before date. null when none is recorded.

Example:

2150342

data
Institutional Option Holder · object[]
date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

put_oi
integer | null

The ticker's put open interest on the last trading day at or before date. null when none is recorded.

Example:

1873120